Skip to content

Get computed permissions for employee on wallet

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Get computed permissions for employee on wallet

Security
oauth2ClientCredentials(Required scopes: wallet-policies:read)
Path
employeeIdstringrequired

Employee ID

walletIdstringrequired

Wallet ID

Headers
business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/wallet-policies/permissions/{employeeId}/{walletId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string'

Responses

Computed permissions retrieved successfully

Bodyapplication/json
permissionsArray of stringsrequired

List of permission slugs

canViewBalancebooleanrequired

Can view wallet balance

canViewTransactionsbooleanrequired

Can view transaction history

canExportbooleanrequired

Can export statements

canInitiateTransferbooleanrequired

Can initiate transfers

canApprovebooleanrequired

Can approve transfers/payouts

canSpendbooleanrequired

Can spend from wallet

maskAmountsbooleanrequired

Whether amounts are masked

transactionHistoryDaysnumberrequired

Maximum transaction history days accessible

limitsobject

Transaction limits

thresholdsobject

Approval thresholds

expiresAtobject

Policy expiration date

Response
{ "permissions": [ "string" ], "canViewBalance": true, "canViewTransactions": true, "canExport": true, "canInitiateTransfer": true, "canApprove": true, "canSpend": true, "maskAmounts": true, "transactionHistoryDays": 0, "limits": {}, "thresholds": {}, "expiresAt": {} }